Skip to main content

Get Showcase Resource by ID

API Description​

Get information about a specific showcase resource, including resource state. Supply the unique Apple-generated ID assigned to the partner’s showcase, and the service will return the corresponding resource.

note

Service does not return "soft" deleted resources. Refer to the Get service

Request​

URI Parameters​

NameInput
orgId
REQUIRED
brandId
REQUIRED
showcaseId
REQUIRED
Path Template
GET {url}/api/{version}/orgs/{orgId}/brands/{brandId}/showcases/{showcaseId}
Path Example
GET {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcases/9467895078742654903

Request Headers​

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body​

None

Response​

200 OK or Error

Response Headers​

Name
apple-request-id
content-type
etag
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 05a993af-cbc0-4988-a32e-c033b73c38b6
content-type: application/json
etag: "8c40872e-ddd4-11ec-802a-cf9cf38fe6fa"

Response Body​

NameOutput
$.orgId
REQUIRED
$.brandId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.showcaseDetails
REQUIRED
$.metadata[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654903",
"createdDate": "2026-09-21T00:00:00.00Z",
"updatedDate": "2026-09-21T00:00:00.00Z",
"state": "SUBMITTED",
"etag": "8c40872e-ddd4-11ec-802a-cf9cf38fe6fa",
"showcaseDetails": {
"startDate": "2026-10-01T00:00:00.00Z",
"endDate": "2026-10-10T00:00:00.00Z",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654976"
},
"creativeId": "9467895078742654987"
},
"metadata": []
}